Name:		tzclock
Version:	2.7.1
Release:	1%{?dist}
Summary:	GTK+ graphical Clock displaying the time around the world

Group:		Amusements/Graphics
License:	GPLv2
URL:		http://www.tzclock.org/
Source0:	http://www.tzclock.org/releases/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libgnomeui-devel
BuildRequires:	librsvg2-devel
BuildRequires:	desktop-file-utils

%description
TzClock is an X Window GTK+ graphical Clock that can display 
the time around the world. It supports multiple faces showing 
different time zones. 
There is a stopwatch funtion that is accurate to a tenth of a second, 
plus there are many other nice features for you to discover.

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT

# Manual install
for dir in \
	%{_bindir} \
	%{_datadir}/{applications,pixmaps} \
	%{_mandir}/man1
	do
	%{__mkdir_p} $RPM_BUILD_ROOT$dir
done

%{__install} -p -m 0755 TzClockCairo $RPM_BUILD_ROOT%{_bindir}/TzClock
%{__install} -p -m 0644 TzClock.svg $RPM_BUILD_ROOT%{_datadir}/pixmaps/
%{__install} -p -m 0644 TzClock.man $RPM_BUILD_ROOT%{_mandir}/man1/TzClock.1

desktop-file-install \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	--vendor fedora \
	TzClock.desktop

# I like lower case!
%{__ln_s} -f TzClock $RPM_BUILD_ROOT%{_bindir}/%{name}
%{__ln_s} -f TzClock.1 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc	AUTHORS
%doc	COPYING

%{_bindir}/*
%{_datadir}/pixmaps/*svg
%{_datadir}/applications/*desktop

%{_mandir}/man1/*

%changelog
* Thu May 15 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.7.1-1
- 2.7.1

* Sat Apr 12 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.6.1-3
- "New" 2.6.1 (modified tarball with the same version)

* Fri Apr 11 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.6.1-2
- 2.6.1

* Sat Feb  9 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Rebuild against gcc43 (F-9)

* Wed Dec  5 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.5.5-1
- Initial packaging

